@echo off
echo Extract RFE version1 (Africa) 10 day esitmates
echo From 1995061 to 2000121
echo Precipitation
echo File name format afpfinalcal00121.bil.gz
echo.
echo. 


set longfilename=%1
set shortfilename1=%longfilename:~0,7%
set shortfilename2=%longfilename:~0,4%
set shortfilename3=%longfilename:~2,5%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://ftp.cpc.ncep.noaa.gov/fews/RFE1.0_10day_archive/%shortfilename2%/afpfinalcal%shortfilename3%.bil.gz


echo off
if not exist "%OutputDrive%\%OutputDir%\afpfinalcal%shortfilename3%.bil.gz"  goto MESSAGE
echo The file(s) "afpfinalcal%shortfilename3%.bil.gz" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://ftp.cpc.ncep.noaa.gov/fews/RFE1.0_10day_archive/%shortfilename2%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


"%UtilDir%\7z.exe" e afpfinalcal%shortfilename3%.bil.gz

ren afpfinalcal%shortfilename3%.bil rfe1_%shortfilename1%.bil

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe1temp_%shortfilename1%.mpr:=map('%OutputDrive%\%OutputDir%\rfe1_%shortfilename1%.bil',genras,Convert,751,0,Int,2,SwapBytes)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe1_%shortfilename1%:=MapMirrorRotate(rfe1temp_%shortfilename1%.mpr,MirrHor)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\rfe1_%shortfilename1%.mpr %UtilDir%\fews_rfe1

del afpfinalcal%shortfilename3%.bil.gz
del rfe1_%shortfilename1%.bil
del rfe1temp_%shortfilename1%.mp*

:END
"%IlwDir%\ilwis.exe" -C closeall