@echo off
echo Extract RFE version2 (Africa) 10 day esitmates
echo From 2000031
echo Precipitation
echo File name format 10day_precip.bin.2010011.gz
echo.
echo. 

set longfilename=%1
set shortfilename1=%longfilename:~0,7%

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" ftp://ftp.cpc.ncep.noaa.gov/fews/newalgo_est_dekad/10day_precip.bin.%shortfilename1%.gz


echo off
if not exist "%OutputDrive%\%OutputDir%\10day_precip.bin.%shortfilename1%.gz"  goto MESSAGE
echo The file(s) "10day_precip.bin.%shortfilename1%.gz" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://ftp.cpc.ncep.noaa.gov/fews/newalgo_est_dekad
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e 10day_precip.bin.%shortfilename1%.gz

ren 10day_precip.bin.%shortfilename1% rfe2_%shortfilename1%in

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe2temp_%shortfilename1%.mpr:=map('%OutputDrive%\%OutputDir%\rfe2_%shortfilename1%in',genras,Convert,751,0,Real,4,SwapBytes)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe2temp1_%shortfilename1%.mpr:=%OutputDrive%\%OutputDir%\rfe2temp_%shortfilename1%*10
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe2_%shortfilename1%:=MapMirrorRotate(rfe2temp1_%shortfilename1%.mpr,MirrHor)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\rfe2_%shortfilename1%.mpr %UtilDir%\rfe_clim

del rfe2temp_%shortfilename1%.mp*
del rfe2temp1_%shortfilename1%.mp*
del rfe2_%shortfilename1%in
del 10day_precip.bin.%shortfilename1%.gz

:END
"%IlwDir%\ilwis.exe" -C closeall