@echo off
echo Import LANDSAT-8 Bands
echo Import single band to ILWIS mpr data format
echo Data is imported as Unsigned Integer 32
echo.
echo.



set longfilename=%1

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set Infraview=%9


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo your current inputfile = %longfilename%.TIF
echo.
echo.



echo off
if not exist "%inputDrive%\%inputDir%\%longfilename%.TIF"  goto MESSAGE
echo The files %longfilename%.TIF has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from %inputDrive%\%inputDir%\
echo Check also manually if the data exists on the input folder specified
echo Current file used is %longfilename%.TIF


pause

GOTO END

:START

copy "%inputDrive%\%inputDir%\%longfilename%.tif

"%gdalDir%\gdal_translate" -ot UInt32 -of ilwis %OutputDrive%\%OutputDir%\%longfilename%.tif %longfilename%.mpr


del %outputDrive%\%outputDir%\%longfilename%.tif
del %outputDrive%\%outputDir%\%longfilename%.mpr.aux.xml